My Project: dynamics.mod/glue.cpp File Reference

My Project

Functions
glue.cpp File Reference
`#include "Newton.h"`
`#include "dMatrix.h"`
`#include "brl.mod/blitz.mod/blitz.h"`

## Functions

NewtonWorld * | bmx_newtondynamics_NewtonCreate (BBObject *)
NewtonBody * | bmx_newtondynamics_NewtonCreateDynamicBody (BBObject *, const NewtonWorld *const, const NewtonCollision *const, const dFloat *const)
BBObject * | bmx_newtondynamics_NewtonBodyGetUserData (const NewtonBody *const)
void | bmx_newtondynamics_NewtonBodySetOmega (const NewtonBody *const, float, float, float, float)
void | bmx_newtondynamics_NewtonBodySetVelocity (const NewtonBody *const, float, float, float, float)
void | bmx_newtondynamics_NewtonBodySetForce (const NewtonBody *const, float, float, float, float)
void | bmx_newtondynamics_NewtonBodySetTorque (const NewtonBody *const, float, float, float, float)
void | bmx_newtondynamics_NewtonBodySetAngularDamping (const NewtonBody *const, float, float, float)
void | bmx_newtondynamics_NewtonBodyGetAngularDamping (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetRotation (const NewtonBody *const, float *, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetOmega (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetVelocity (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetForce (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetTorque (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetForceAcc (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetTorqueAcc (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetCentreOfMass (const NewtonBody *const, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyGetAABB (const NewtonBody *const, float *, float *, float *, float *, float *, float *)
void | bmx_newtondynamics_NewtonBodyAddForce (const NewtonBody *const, float, float, float)
void | bmx_newtondynamics_NewtonBodyAddTorque (const NewtonBody *const, float, float, float)
void | bmx_newtondynamics_NewtonBodyCalculateInverseDynamicsForce (const NewtonBody *const, float, float, float, float, float *, float *, float *)
void | bmx_newtondynamics_config_body (BBObject *, NewtonBody *)
void | bmx_newtondynamics_body_destroycallback (const NewtonBody *const)
NewtonCollision * | bmx_newtondynamics_NewtonCreateSphere (BBObject *, const NewtonWorld *const, float, int, float *)
NewtonCollision * | bmx_newtondynamics_NewtonCreateBox (BBObject *, const NewtonWorld *const, float, float, float, int, float *)
NewtonCollision * | bmx_newtondynamics_NewtonCreateTreeCollision (BBObject *, const NewtonWorld *const, int)
NewtonCollision * | bmx_newtondynamics_NewtonCreateCylinder (BBObject *, const NewtonWorld *const, float, float, int, float *)
void | bmx_newtondynamics_collision_copycallback (const NewtonWorld *const, NewtonCollision *const, const NewtonCollision *const)
void | bmx_newtondynamics_collision_destroycallback (const NewtonWorld *const, const NewtonCollision *const)
void | bmx_newtondynamics_config_collision (BBObject *, NewtonCollision *)
void | bmx_newtondynamics_matrix_GetEulerAngles (float *, float *, float *, float *, float *, float *, float *)
void | bmx_newtondynamics_NewtonWorldRayCast (const NewtonWorld *const, float, float, float, float, float, float, NewtonWorldRayFilterCallback, BBObject *, NewtonWorldRayPrefilterCallback, int)
BBObject * | bmx_newtondynamics_RayCastDelegateFromPtr (void *data)

## Function Documentation

## § bmx_newtondynamics_body_destroycallback()

void bmx_newtondynamics_body_destroycallback | ( | const NewtonBody * const | body | ) |

## § bmx_newtondynamics_collision_copycallback()

void bmx_newtondynamics_collision_copycallback | ( | const NewtonWorld * const | world,
|  | NewtonCollision * const | coll,
|  | const NewtonCollision * const | source
| ) |  |

## § bmx_newtondynamics_collision_destroycallback()

void bmx_newtondynamics_collision_destroycallback | ( | const NewtonWorld * const | world,
|  | const NewtonCollision * const | coll
| ) |  |

## § bmx_newtondynamics_config_body()

void bmx_newtondynamics_config_body | ( | BBObject * | obj,
|  | NewtonBody * | body
| ) |  |

## § bmx_newtondynamics_config_collision()

void bmx_newtondynamics_config_collision | ( | BBObject * | obj,
|  | NewtonCollision * | coll
| ) |  |

## § bmx_newtondynamics_matrix_GetEulerAngles()

void bmx_newtondynamics_matrix_GetEulerAngles | ( | float * | frontX,
|  | float * | pitch0,
|  | float * | yaw0,
|  | float * | roll0,
|  | float * | pitch1,
|  | float * | yaw1,
|  | float * | roll1
| ) |  |

## § bmx_newtondynamics_NewtonBodyAddForce()

void bmx_newtondynamics_NewtonBodyAddForce | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § bmx_newtondynamics_NewtonBodyAddTorque()

void bmx_newtondynamics_NewtonBodyAddTorque | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § bmx_newtondynamics_NewtonBodyCalculateInverseDynamicsForce()

void bmx_newtondynamics_NewtonBodyCalculateInverseDynamicsForce | ( | const NewtonBody * const | body,
|  | float | timestep,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float * | fx,
|  | float * | fy,
|  | float * | fz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetAABB()

void bmx_newtondynamics_NewtonBodyGetAABB | ( | const NewtonBody * const | body,
|  | float * | p0x,
|  | float * | p0y,
|  | float * | p0z,
|  | float * | p1x,
|  | float * | p1y,
|  | float * | p1z
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetAngularDamping()

void bmx_newtondynamics_NewtonBodyGetAngularDamping | ( | const NewtonBody * const | body,
|  | float * | ax,
|  | float * | ay,
|  | float * | az
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetCentreOfMass()

void bmx_newtondynamics_NewtonBodyGetCentreOfMass | ( | const NewtonBody * const | body,
|  | float * | cx,
|  | float * | cy,
|  | float * | cz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetForce()

void bmx_newtondynamics_NewtonBodyGetForce | ( | const NewtonBody * const | body,
|  | float * | fx,
|  | float * | fy,
|  | float * | fz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetForceAcc()

void bmx_newtondynamics_NewtonBodyGetForceAcc | ( | const NewtonBody * const | body,
|  | float * | fx,
|  | float * | fy,
|  | float * | fz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetOmega()

void bmx_newtondynamics_NewtonBodyGetOmega | ( | const NewtonBody * const | body,
|  | float * | ox,
|  | float * | oy,
|  | float * | oz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetRotation()

void bmx_newtondynamics_NewtonBodyGetRotation | ( | const NewtonBody * const | body,
|  | float * | q0,
|  | float * | q1,
|  | float * | q2,
|  | float * | q3
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetTorque()

void bmx_newtondynamics_NewtonBodyGetTorque | ( | const NewtonBody * const | body,
|  | float * | tx,
|  | float * | ty,
|  | float * | tz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetTorqueAcc()

void bmx_newtondynamics_NewtonBodyGetTorqueAcc | ( | const NewtonBody * const | body,
|  | float * | tx,
|  | float * | ty,
|  | float * | tz
| ) |  |

## § bmx_newtondynamics_NewtonBodyGetUserData()

BBObject * bmx_newtondynamics_NewtonBodyGetUserData | ( | const NewtonBody * const | body | ) |

## § bmx_newtondynamics_NewtonBodyGetVelocity()

void bmx_newtondynamics_NewtonBodyGetVelocity | ( | const NewtonBody * const | body,
|  | float * | vx,
|  | float * | vy,
|  | float * | vz
| ) |  |

## § bmx_newtondynamics_NewtonBodySetAngularDamping()

void bmx_newtondynamics_NewtonBodySetAngularDamping | ( | const NewtonBody * const | body,
|  | float | ax,
|  | float | ay,
|  | float | az
| ) |  |

## § bmx_newtondynamics_NewtonBodySetForce()

void bmx_newtondynamics_NewtonBodySetForce | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## § bmx_newtondynamics_NewtonBodySetOmega()

void bmx_newtondynamics_NewtonBodySetOmega | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## § bmx_newtondynamics_NewtonBodySetTorque()

void bmx_newtondynamics_NewtonBodySetTorque | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## § bmx_newtondynamics_NewtonBodySetVelocity()

void bmx_newtondynamics_NewtonBodySetVelocity | ( | const NewtonBody * const | body,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## § bmx_newtondynamics_NewtonCreate()

NewtonWorld * bmx_newtondynamics_NewtonCreate | ( | BBObject * |  | ) |

## § bmx_newtondynamics_NewtonCreateBox()

NewtonCollision * bmx_newtondynamics_NewtonCreateBox | ( | BBObject * | obj,
|  | const NewtonWorld * const | world,
|  | float | dx,
|  | float | dy,
|  | float | dz,
|  | int | shapeID,
|  | float * | offsetMatrix
| ) |  |

## § bmx_newtondynamics_NewtonCreateCylinder()

NewtonCollision * bmx_newtondynamics_NewtonCreateCylinder | ( | BBObject * | obj,
|  | const NewtonWorld * const | world,
|  | float | radius,
|  | float | height,
|  | int | shapeID,
|  | float * | offsetMatrix
| ) |  |

## § bmx_newtondynamics_NewtonCreateDynamicBody()

NewtonBody * bmx_newtondynamics_NewtonCreateDynamicBody | ( | BBObject * | obj,
|  | const NewtonWorld * const | world,
|  | const NewtonCollision * const | coll,
|  | const dFloat * const | matrix
| ) |  |

## § bmx_newtondynamics_NewtonCreateSphere()

NewtonCollision * bmx_newtondynamics_NewtonCreateSphere | ( | BBObject * | obj,
|  | const NewtonWorld * const | world,
|  | float | radius,
|  | int | shapeID,
|  | float * | offsetMatrix
| ) |  |

## § bmx_newtondynamics_NewtonCreateTreeCollision()

NewtonCollision * bmx_newtondynamics_NewtonCreateTreeCollision | ( | BBObject * | obj,
|  | const NewtonWorld * const | world,
|  | int | shapeID
| ) |  |

## § bmx_newtondynamics_NewtonWorldRayCast()

void bmx_newtondynamics_NewtonWorldRayCast | ( | const NewtonWorld * const | world,
|  | float | p0x,
|  | float | p0y,
|  | float | p0z,
|  | float | p1x,
|  | float | p1y,
|  | float | p1z,
|  | NewtonWorldRayFilterCallback | fcb,
|  | BBObject * | delegate,
|  | NewtonWorldRayPrefilterCallback | pfcb,
|  | int | threadIndex
| ) |  |

## § bmx_newtondynamics_RayCastDelegateFromPtr()

BBObject * bmx_newtondynamics_RayCastDelegateFromPtr | ( | void * | data | ) |